# eric3.Wizards.MessageBoxWizard.MessageBoxWizardDialog

Module implementing the message box wizard dialog.

### Classes

MessageBoxWizardDialog | Module implementing the message box wizard dialog.

### Functions

None

## MessageBoxWizardDialog

Module implementing the message box wizard dialog. It displays a dialog for entering the parameters for the QMessageBox code generator.

### Derived from

MessageBoxWizardForm

### Methods

MessageBoxWizardDialog | Constructor
button0Text | Private slot to enable/disable the other button combos depending on its contents.
button1Text | Private slot to enable/disable the other button combos depending on its contents.
button2Text | Private slot to enable/disable the other button combos depending on its contents.
getCode | Public method to get the source code.
testMsg | Private method to test the selected options.
typeSelected | Private slot to enable/disable certain fields depending on index.

### MessageBoxWizardDialog (Constructor)

MessageBoxWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### MessageBoxWizardDialog.button0Text

button0Text(text)

Private slot to enable/disable the other button combos depending on its contents.

text
  the new text (QString)

### MessageBoxWizardDialog.button1Text

button1Text(text)

Private slot to enable/disable the other button combos depending on its contents.

text
  the new text (QString)

### MessageBoxWizardDialog.button2Text

button2Text(text)

Private slot to enable/disable the other button combos depending on its contents.

text
  the new text (QString)

### MessageBoxWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### MessageBoxWizardDialog.testMsg

testMsg()

Private method to test the selected options.

### MessageBoxWizardDialog.typeSelected

typeSelected(id)

Private slot to enable/disable certain fields depending on index.

id
  index of selected radio button

Up